[Product-Developers] Re: collective.subscribemember and virtualenv

Tim Knapp duffyd at kokorice.org
Wed Apr 7 20:19:29 UTC 2010


On Wed, 2010-04-07 at 16:33 +0200, Encolpe Degoute wrote:
> Tim Knapp a écrit :
> > Hi Encolpe,
> >
> > On Tue, 2010-04-06 at 22:28 +0200, Encolpe Degoute wrote:
> >   
> >> Hello,
> >>
> >> I didn't find any bugtracker for /collective.subscribemember/ then I 
> >> post here.
> >>     
> >
> > Thanks for pointing this out. I just created one here:
> > http://plone.org/products/collective.subscribemember/issues
> >   
> 
> Thanks.
> 
> >> In your product you put a requirement on  the Python functools module... 
> >> but someone released an egg called functools in 2005:
> >> http://pypi.python.org/pypi/functools
> >>
> >> This create a traceback when I encapsulate getpaid in virtualenv :
> >>
> >> $ bin/instance fg
> >>
> >> Traceback (most recent call last):
> >>
> >>   File "bin/instance", line 234, in <module>
> >>
> >>     import plone.recipe.zope2instance.ctl
> >>
> >>   File "/usr/local/python-envs/archis/fourm_deployment/eggs/plone.recipe.zope2instance-4.0a4-py2.6.egg/plone/recipe/zope2instance/__init__.py", line 24, in <module>
> >>
> >>     import zc.buildout.easy_install
> >>
> >>   File "/usr/local/python-envs/archis/fourm_deployment/eggs/zc.buildout-1.4.3-py2.6.egg/zc/buildout/easy_install.py", line 23, in <module>
> >>
> >>     import logging
> >>
> >>   File "/usr/lib/python2.6/logging/__init__.py", line 43, in <module>
> >>
> >>     import threading
> >>
> >>   File "/usr/lib/python2.6/threading.py", line 13, in <module>
> >>
> >>     from functools import wraps
> >>
> >>   File "/usr/local/python-envs/archis/fourm_deployment/eggs/functools-0.5-py2.6-linux-i686.egg/functools.py", line 72, in <module>
> >>
> >>     globals()['c_%s' % x] = globals()[x] = getattr(_functools, x)
> >>
> >> AttributeError: 'module' object has no attribute 'compose'
> >>     
> >
> > Unfortunately we need this for the tests to pass on python 2.4 (i.e.
> > Plone 3) but as you've correctly pointed out it won't work on Plone
> > 4/python 2.5+ (where functools is part of the standard library). I've
> > now removed this from the setup.py[1] and updated the buildout.cfg[2] to
> > let people know they need it for python 2.4/Plone 3.
> >
> > As an aside, I'd be really interested to hear if it works in Plone 4.
> >   
> 
> I'm blocked on a membrane bug:
> http://plone.org/products/membrane/issues/23
> 
> I will work on it tonight.

Great. I know that membrane/Remember trunk are Plone 4 compatible.

-Tim

> 
> Regards,
> 







More information about the Product-Developers mailing list